# Uses of Class
com.logicaldoc.core.security.ExtendedAccessControlEntry

Packages that use ExtendedAccessControlEntry
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.security
Container of the security-related interfaces and classes

## Uses of ExtendedAccessControlEntry in com.logicaldoc.core.document

Subclasses of ExtendedAccessControlEntry in com.logicaldoc.core.document
Modifier and Type
Class
Description
`class`
`DocumentAccessControlEntry`
Represents all the permissions granted to a group against a business object
`class`
`FolderAccessControlEntry`
Represents all the permissions granted to a group against a business object
Methods in com.logicaldoc.core.document that return ExtendedAccessControlEntry
Modifier and Type
Method
Description
`ExtendedAccessControlEntry`
DocumentAccessControlEntry.`getAce()`
`ExtendedAccessControlEntry`
FolderAccessControlEntry.`getAce()`
Methods in com.logicaldoc.core.document with parameters of type ExtendedAccessControlEntry
Modifier and Type
Method
Description
`void`
FolderAccessControlEntry.`setAce(ExtendedAccessControlEntry ace)`
Constructors in com.logicaldoc.core.document with parameters of type ExtendedAccessControlEntry
Modifier
Constructor
Description
``
`NoteAccessControlEntry(ExtendedAccessControlEntry source)`

## Uses of ExtendedAccessControlEntry in com.logicaldoc.core.security

Constructors in com.logicaldoc.core.security with parameters of type ExtendedAccessControlEntry
Modifier
Constructor
Description
``
`ExtendedAccessControlEntry(ExtendedAccessControlEntry source)`